"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.assertText = exports.assertElement = void 0;
const assertElement = async (pageOrFrame, selector, options) => {
    try {
        await pageOrFrame.waitForSelector(selector, options);
    }
    catch (error) {
        throw error;
    }
};
exports.assertElement = assertElement;
const assertText = async (pageOrFrame, text, options = {}) => {
    const selector = options.selector || "body";
    try {
        await pageOrFrame.waitForFunction(({ selector, text }) => {
            var _a;
            const element = document.querySelector(selector);
            if (!element)
                return false;
            let elementText = element.value || element.innerText || "";
            if (element.tagName.toLowerCase() === "select") {
                const select = element;
                elementText = ((_a = select.options[select.selectedIndex]) === null || _a === void 0 ? void 0 : _a.text) || "";
            }
            return elementText.includes(text);
        }, { selector, text }, { polling: 100, timeout: (options || {}).timeout || 30000 });
    }
    catch (error) {
        if (error.message.includes("waitForFunction: Timeout")) {
            throw new Error(`assertText: "${text}" not found in "${selector}"`);
        }
        throw error;
    }
};
exports.assertText = assertText;
//# sourceMappingURL=assertText.js.map