"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getValue = void 0;
const getValue = async (pageOrFrame, selector, options) => {
    try {
        const element = await pageOrFrame.waitForSelector(selector, options);
        return pageOrFrame.evaluate((element) => {
            var _a;
            if (element.tagName.toLowerCase() === "select") {
                const select = element;
                return ((_a = select.options[select.selectedIndex]) === null || _a === void 0 ? void 0 : _a.value) || "";
            }
            if (element.getAttribute("type") === "checkbox") {
                return element.checked;
            }
            if (element.hasAttribute("value")) {
                return element.getAttribute("value");
            }
            return element.innerText || "";
        }, element);
    }
    catch (error) {
        if (error.message.includes("waitForSelector: Timeout")) {
            throw new Error(`getValue: "${selector}" not found`);
        }
        throw error;
    }
};
exports.getValue = getValue;
//# sourceMappingURL=getValue.js.map